/*
 * Copyright (c) 2005, TopCoder, Inc. All rights reserved.
 *
 * Author: TCSDEVELOPER, TCSDESIGNER
 * Version: 1.0
 */


using System;

namespace TopCoder.File.Statistics
{
    /// <summary>
    /// Encapsulates errors from the <c>IFileMatcher</c> interface to indicate a dependency error. If a file
    /// operation fails <c>IOException</c> is used instead.
    /// </summary>
    public class FileMatchingException : FileStatisticsException
    {
        /// <summary>
        /// Constructor with a message string. No checking performed.
        /// </summary>
        /// <param name="message">The exception message.</param>
        public FileMatchingException(string message) : base(message)
        {
        }

        /// <summary>
        /// Constructor with a message string and an inner exception to wrap (cause). No checking performed.
        /// </summary>
        /// <param name="message"></param>
        /// <param name="cause"></param>
        public FileMatchingException(string message, Exception cause)
            : base(message, cause)
        {
        }
    }
}