/*
 * Copyright (c) 2005, TopCoder, Inc. All rights reserved.
 *
 * Author: TCSDEVELOPER, TCSDESIGNER
 * Version: 1.0
 */


using System;

namespace TopCoder.File.Statistics
{
    /// <summary>
    /// Encapsulates errors from the <c>IFileProcessor</c> interface to indicate an implementation specific error. If
    /// the file operation fails <c>IOException</c> is used instead.
    /// </summary>
    public class FileProcessingException : FileStatisticsException
    {
        /// <summary>
        /// Constructor with a message string. No checking performed.
        /// </summary>
        /// <param name="message">The exception message.</param>
        public FileProcessingException(string message)
            : base(message)
        {
        }

        /// <summary>
        /// Constructor with a message string and an inner exception to wrap (cause). No checking performed.
        /// </summary>
        /// <param name="message"></param>
        /// <param name="cause"></param>
        public FileProcessingException(string message, Exception cause)
            : base(message, cause)
        {
        }
    }
}