/*
 * Copyright (c) 2005, TopCoder, Inc. All rights reserved.
 *
 * Author: TCSDEVELOPER, TCSDESIGNER
 * Version: 1.0
 */

using System;
using System.Reflection;
using NUnit.Framework;
using System.IO;

namespace TopCoder.File.Statistics.Matcher
{
    /// <summary>
    /// Tests the <c>TextBinaryMatcher</c> class, by verifying that it matches a few existing files correctly.
    /// </summary>
    [TestFixture]
    public class TestBinaryFileMatcher : TestFileMatcher
    {
        /// <summary>
        /// Publishes some information to base classes.
        /// </summary>
        [SetUp]
        public void Setup()
        {
            type = typeof(BinaryFileMatcher);
            instance = new BinaryFileMatcher();
        }

        /// <summary>
        /// Tests matching of a few real <c>FileInfo</c> instances.
        /// </summary>
        [Test]
        public void TestMatch()
        {
            Assert.IsFalse(instance.Match(new FileInfo(@"..\..\test_files\textfile.txt")),
                "Large text file, strange chars");
            Assert.IsFalse(instance.Match(new FileInfo(@"..\..\test_files\FileTypes.xml")),
                "Smaller text file");
            Assert.IsTrue(instance.Match(new FileInfo(@"..\..\test_files\AllTests.class")),
                "Java class file");
            Assert.IsTrue(instance.Match(new FileInfo(@"..\..\test_files\test.exe")),
                "Windows EXE file");
        }
    }
}