/*
 * Copyright (c) 2005, TopCoder, Inc. All rights reserved.
 *
 * Author: TCSDEVELOPER, TCSDESIGNER
 * Version: 2.0b
 */


using System;

namespace TopCoder.File.Statistics
{
    /// <summary>
    /// New exception added in version 2.0b to be thrown from the <c>IArgumentHandler</c> interface to indicate the
    /// provided arguments are not valid.
    /// </summary>
    /// <remarks>
    /// Notice that a validator can be returned from option proposal, but still the method actually receiving and
    /// the switches passed is allowed to implement more validation logic. It can also be the case that the logic by
    /// its nature can only be performed on the combination of several arguments rather than the individual switches.
    /// </remarks>
    public class InvalidArgumentException : FileStatisticsException
    {
        /// <summary>
        /// Constructor with a message string. No checking performed.
        /// </summary>
        /// <param name="message">The exception message.</param>
        public InvalidArgumentException(string message) : base(message)
        {
        }

        /// <summary>
        /// Constructor with a message string and an inner exception to wrap (cause). No checking performed.
        /// </summary>
        /// <param name="message"></param>
        /// <param name="cause"></param>
        public InvalidArgumentException(string message, Exception cause)
            : base(message, cause)
        {
        }
    }
}
