/*
Copyright (c)2005, TopCoder, Inc. All rights reserved
Author Cucu
*/
using NUnit.Framework;
using TopCoder.File.Statistics;


namespace TopCoder.File.Statistics.AccuracyTests
{
    /// <summary>
    /// Accuracy tests for Metric
    /// </summary>
    [TestFixture]
    public class MetricAccuracyTest
    {       
        /// <summary>
        /// Test the whole Metric class for accuracy in this method.
        /// </summary>
        [Test]
        public void TestMetric() 
        {
            Metric m1 =  new Metric("metric1", "displayName 1","descritpion 1");
            Metric m2 =  new Metric("metric2", "displayName 2","descritpion 2");
            Metric m3 =  new Metric("metric1", "displayName 3","descritpion 3");

            // test property getters
            Assert.AreEqual("metric1", m1.Name, "bad Name retrieved");
            Assert.AreEqual("displayName 1", m1.DisplayName, "bad DisplayName retrieved");
            Assert.AreEqual("descritpion 1", m1.Description, "bad Description retrieved");

            // test Equals
            Assert.IsTrue(m1.Equals(m1), "m1 expected to be equal to m1");
            Assert.IsTrue(m1.Equals(m3), "m1 expected to be equal to m3");
            Assert.IsFalse(m1.Equals(m2), "m1 not expected to be equal to m2");

            // test GetHashCode
            Assert.AreEqual(m1.GetHashCode(), m3.GetHashCode(), "m1 and m3 should have the same hashcode");
            Assert.IsFalse(m1.GetHashCode() == m2.GetHashCode(), "m1 and m2 should not have the same hashcode");
        }

    }    
}