/*
 * $(#)ConfigurationExceptionTests.cs		Sep 6, 2005
 * 
 * Copyright (c) 2005, TopCoder Inc. All rights reserved.
 */

using System;
using NUnit.Framework;

namespace TopCoder.File.Statistics.FailureTests
{

	/// <summary>
    /// This test fixture contains the failure tests for <see cref="ConfigurationException"/> class.
    ///
    /// <author>MPhk</author>
    /// <version>1.0</version>
    /// <copyright>Copyright (C) 2005 TopCoder Inc., All Rights Reserved.</copyright>
    /// </summary>
    [TestFixture]
	public class ConfigurationExceptionTests 
	{

	    /// <summary>
	    /// Verifies whether the ConfigurationException(String) constructor properly behaves 
	    /// when receives null arguments. It should not throw any exception.
	    /// </summary>
	    public void TestConfigurationException1() {
	        new ConfigurationException(null);
	    }
    
	    /// <summary>
	    /// Verifies whether the ConfigurationException(String, Throwable) constructor properly behaves 
	    /// when receives null arguments. It should not throw any exception.
	    /// </summary>
	    public void TestConfigurationException2() {
	        new ConfigurationException(null, new Exception());
	    }
    
	    /// <summary>
	    /// Verifies whether the ConfigurationException(String, Throwable) constructor properly behaves 
	    /// when receives null arguments. It should not throw any exception.
	    /// </summary>
	    public void TestConfigurationException3() {
            new ConfigurationException("msg", null);
	    }
    
	    /// <summary>
	    /// Verifies whether the ConfigurationException(String) constructor properly behaves 
	    /// when receives null arguments. It should not throw any exception.
	    /// </summary>
	    public void TestConfigurationException4() {
            new ConfigurationException(null, null);
	    }
	}
    
}
