/*
 * $(#)FileProcessingExceptionTests.cs		Sep 6, 2005
 * 
 * Copyright (c) 2005, TopCoder Inc. All rights reserved.
 */

using System;
using NUnit.Framework;

namespace TopCoder.File.Statistics.FailureTests
{

	/// <summary>
    /// This test fixture contains the failure tests for <see cref="FileProcessingException"/> class.
    ///
    /// <author>MPhk</author>
    /// <version>1.0</version>
    /// <copyright>Copyright (C) 2005 TopCoder Inc., All Rights Reserved.</copyright>
    /// </summary>
    [TestFixture]
	public class FileProcessingExceptionTests 
	{

	    /// <summary>
	    /// Verifies whether the FileProcessingException(String) constructor properly behaves 
	    /// when receives null arguments. It should not throw any exception.
	    /// </summary>
	    public void TestFileProcessingException1() {
	        new FileProcessingException(null);
	    }
    
	    /// <summary>
	    /// Verifies whether the FileProcessingException(String, Throwable) constructor properly behaves 
	    /// when receives null arguments. It should not throw any exception.
	    /// </summary>
	    public void TestFileProcessingException2() {
	        new FileProcessingException(null, new Exception());
	    }
    
	    /// <summary>
	    /// Verifies whether the FileProcessingException(String, Throwable) constructor properly behaves 
	    /// when receives null arguments. It should not throw any exception.
	    /// </summary>
	    public void TestFileProcessingException3() {
            new FileProcessingException("msg", null);
	    }
    
	    /// <summary>
	    /// Verifies whether the FileProcessingException(String) constructor properly behaves 
	    /// when receives null arguments. It should not throw any exception.
	    /// </summary>
	    public void TestFileProcessingException4() {
            new FileProcessingException(null, null);
	    }
	}
    
}
